Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002664TestLinkGeneralpublic2009-06-25 17:282015-09-19 08:49
ReporterKathrinMarkus 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.9.14 (2015 Q3) 
Summary0002664: FEATURE DEACTIVATE ALL VERSIONS (It should not be possible to add older versions of inactive testcases to testplan)
DescriptionIt should not be possible to add older versions of inactive testcases to testplan
e.g. I have 2 versions of a testcase. Version 2 is set to inactive. Now it should not be possible to add version 1 of the testcase to the testplan
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox
PHP Version5
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0004025closedfman option to avoid that obsolete test cases can be added to new test plans 
related to 0007032closedfman Test Case - possibility to update attributes on ALL versions 

-  Notes
(0007375)
mhavlat (reporter)
2009-06-29 01:49

I tried it and it works perfect for me.
It allows me add TC version just 1 and 2; as version 3 was inactivated.

What is problem?
(0007381)
KathrinMarkus (reporter)
2009-06-29 12:19

That is the Issue. It should not be allowed to add the previous versions (1 and 2), because normally it makes no sense if you have and testcase which is deactivated to add this to the testplan.
(0007383)
mhavlat (reporter)
2009-06-29 16:32

I'm waiting on answer from Francisco who designed the feature (currently on holiday) to clarify the feature.

Test Specification states that just TC version is inactivated ... not whole TC. That is the reason why I don't see the problem. User manual says it too.

On the other hand "Update TC version" page ignores such TC completly - this is wrong IMO.

BTW: I would like to introduce test case status attribute in 1.9 version. So users can mark TC as obsolete. This is probably functionality you are looking for.
(0022472)
Mr.Bricodage (updater)
2015-01-09 10:15

The same problem is still present in TestLink 1.9.13 [DEV] (Stormbringer) 20141226.

My need is to mark some testcases as "disabled" for future testplans (as explained in related bugs). I tried to

- "Desactivate" version N of a TestCase => version N-1 can be added in "add/remove testcases".
- Use "Obsolete" status in version N of the testcase => testcase in version N is still displayed in "add/remove testcases".
 
How to disable all versions of a testcase for new testplans? It seems that a solution has been tested and validated via 0004025.
(0022542)
Mr.Bricodage (updater)
2015-01-24 19:04

fman,

could you please apply the modification done in 0004025 in 1.9 branch?

Thanks in advance ;-)
(0022990)
Mr.Bricodage (updater)
2015-03-27 21:21

On TestLink 1.9.14 (DEV) - version Mar 24, 2015, I tried to

- "Desactivate" version N of a TestCase => version N-1 and previous versions can be added in "add/remove testcases".
- Use "Obsolete" status in version N of the testcase => testcase in version N and previous versions are still displayed in "add/remove testcases".

How to disable all versions of a testcase for new testplans?
(0022993)
fman (administrator)
2015-03-28 09:23

What will be implemented is 4025

1. use of new system wide config option
$tlCfg->tplanDesign->hideTestCaseWithStatusIn =
array($tlCfg->testCaseStatus['obsolete'] => 'obsolete',
         $tlCfg->testCaseStatus['future'] => 'future' );

2. when adding test case to test plan, if test case version has status on $tlCfg->tplanDesign->hideTestCaseWithStatusIn

will not be available

stay tunned
(0022996)
fman (administrator)
2015-03-28 10:00

commit
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/e2ed904012dc985ca55bc5c83981ef7debdb24ba [^]
(0022998)
Mr.Bricodage (updater)
2015-03-28 10:28
edited on: 2015-03-28 10:36

Just tested :
works as you said here and in 4025 :
when adding test case to test plan, if test case VERSION has status on $tlCfg->tplanDesign->hideTestCaseWithStatusIn, will not be available

but the need here is to disable ALL VERSIONS of a testcase for future testplans.
That is the modification done by your last commit :
- Use "Obsolete" status in version N of the testcase => version N-1 and previous versions can be added in "add/remove testcases".

==> Now, define a testcase as "Obsolete" or "Future" has the same consequences one new testplans that "desactivate the version".

Is it possible to use "Obsolete" status to desactivate all versions (the obsolete one and all previous versions) of a testcase for new testplans?

(0022999)
fman (administrator)
2015-03-28 10:32

Now you have a chance that was not there, => start using this setting obsolete one by one. I've provided what you have requested on note 22542

Be patiente and I'm going to try to add the feature as requested here.
(0023000)
Mr.Bricodage (updater)
2015-03-28 10:40

great!
Thank you.

Regards
(0023002)
fman (administrator)
2015-03-28 15:11

see related issue
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/f3d18f22a8879c4130d8f156fa7d463f0ab1ce3c [^]
(0023006)
Mr.Bricodage (updater)
2015-03-29 17:05

with issue 0007032 solution, I can set all versions of a testcase to "obsolete".
Testcase cannot be added to future testplans.
Thank you.
(0023319)
fman (administrator)
2015-05-03 19:07

solved using test case status obsolte
(0023943)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2009-06-25 17:28 KathrinMarkus New Issue
2009-06-25 17:28 KathrinMarkus Browser => Firefox
2009-06-25 17:28 KathrinMarkus PHP Version => 5
2009-06-29 01:49 mhavlat Note Added: 0007375
2009-06-29 01:49 mhavlat Status new => feedback
2009-06-29 12:19 KathrinMarkus Note Added: 0007381
2009-06-29 16:32 mhavlat Note Added: 0007383
2009-06-29 16:32 mhavlat Assigned To => fman
2009-06-29 16:32 mhavlat Status feedback => new
2009-06-29 16:33 mhavlat Relationship added related to 0001810
2010-10-31 18:18 fman Status new => assigned
2010-10-31 18:18 fman Summary It should not be possible to add older versions of inactive testcases to testplan => FEATURE DEACTIVATE ALL VERSIONS (It should not be possible to add older versions of inactive testcases to testplan)
2011-03-20 16:57 fman Relationship added related to 0004025
2015-01-09 10:15 Mr.Bricodage Note Added: 0022472
2015-01-24 19:04 Mr.Bricodage Note Added: 0022542
2015-03-27 21:21 Mr.Bricodage Note Added: 0022990
2015-03-28 09:23 fman Note Added: 0022993
2015-03-28 10:00 fman Note Added: 0022996
2015-03-28 10:28 Mr.Bricodage Note Added: 0022998
2015-03-28 10:32 fman Note Added: 0022999
2015-03-28 10:36 Mr.Bricodage Note Edited: 0022998 View Revisions
2015-03-28 10:40 Mr.Bricodage Note Added: 0023000
2015-03-28 15:09 fman Relationship added related to 0007032
2015-03-28 15:11 fman Note Added: 0023002
2015-03-29 17:05 Mr.Bricodage Note Added: 0023006
2015-04-26 15:41 Mr.Bricodage Relationship added child of 0007083
2015-04-26 15:43 Mr.Bricodage Relationship deleted related to 0001810
2015-05-03 19:07 fman QA Team - Task Workflow Status => TBD
2015-05-03 19:07 fman Note Added: 0023319
2015-05-03 19:07 fman Status assigned => resolved
2015-05-03 19:07 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-05-03 19:07 fman Resolution open => fixed
2015-09-19 08:49 fman Note Added: 0023943
2015-09-19 08:49 fman Status resolved => closed
2016-02-29 23:34 Mr.Bricodage Relationship deleted child of 0007083



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker